Bug 1917660 - Editing parallelism of job get error info
Summary: Editing parallelism of job get error info
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Jakub Hadvig
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-19 05:20 UTC by Yanping Zhang
Modified: 2021-02-24 15:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:54:35 UTC
Target Upstream Version:


Attachments (Terms of Use)
error-info (78.41 KB, image/png)
2021-01-19 05:20 UTC, Yanping Zhang
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7867 0 None closed Bug 1917660: Dont use the /scale endpoint for Job resource 2021-02-08 09:48:58 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:54:56 UTC

Description Yanping Zhang 2021-01-19 05:20:36 UTC
Created attachment 1748626 [details]
error-info

Description of problem:
Create a job, then "Edit parallelism" from action list, update parallelism count, click "Save", it shows "Danger alert:An error occurred
the server could not find the requested resource"

Version-Release number of selected component (if applicable):
4.7.0-0.nightly-2021-01-18-180737

How reproducible:
Always

Steps to Reproduce:
1.Create a job with yaml:
apiVersion: batch/v1
kind: Job
metadata:
  name: example
  namespace: prozyp
spec:
  parallelism: 3
  selector: {}
  template:
    metadata:
      name: pi
    spec:
      containers:
        - name: pi
          image: perl
          command:
            - perl
            - '-Mbignum=bpi'
            - '-wle'
            - print bpi(2000)
      restartPolicy: Never
2.Login console, on the job page, choose "Edit parallelism" from action list, update value, then click "Save".
3.

Actual results:
2. It shows "Danger alert:An error occurred
the server could not find the requested resource"
It's not clear what happened.

Expected results:
2. Should update value successfully. If the field could be updated, should show more detailed info. 
Additional info:

Comment 2 Yadan Pei 2021-01-22 07:27:34 UTC
1.Create a job with yaml:
apiVersion: batch/v1
kind: Job
metadata:
  name: example
  namespace: prozyp
spec:
  parallelism: 3
  selector: {}
  template:
    metadata:
      name: pi
    spec:
      containers:
        - name: pi
          image: perl
          command:
            - perl
            - '-Mbignum=bpi'
            - '-wle'
            - print bpi(2000)
      restartPolicy: Never
2.Login console with normal user(project admin), on the job page, choose "Edit parallelism" from action list, update value, then click "Save", the changes can be saved without error


Verified on 4.7.0-0.nightly-2021-01-21-215614

Comment 5 errata-xmlrpc 2021-02-24 15:54:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.